#include "peripherals.h"

#include <math.h>
#include "external/st7735.h"
#include "pico/stdlib.h"




int QUIT = 0;

/**
 * init_display: initialize SDL display
 * @param void
 * @return void
 */
void init_display(void) {
    ST7735_DrawPixel(50, 50, ST7735_COLOR565(150,150,150));
}

void quadDraw(int x, int y, int col) {
    ST7735_DrawPixel(x*2,y*2,col);
    ST7735_DrawPixel(x*2-1,y*2,col);
    ST7735_DrawPixel(x*2-1,y*2-1,col);
    ST7735_DrawPixel(x*2,y*2-1,col);
}

/**
 * draw: draw SDL rectangle to screen
 * @param display a pointer to the display
 * @return void
 */
void draw(unsigned char* display) {
    // iterating thru the display (64*32)
    int tmpx=0, tmpy=0;
    for (int y = 0; y < 32; y++) {
        for (int x = 0; x < 64; x++) {
            tmpx = x;
            tmpy = y;
            if (display[x + (y * 64)]) {
                quadDraw(35-tmpy,8+tmpx,ST7735_GREEN);
            } else {
                quadDraw(35-tmpy,8+tmpx,ST7735_COLOR565(0,0,0));
            }
        }
    }
}